[ gpsdrive ] Installation / running gpsdrive packave(v 2.10svn16984604) on Debian Etch

Joerg Ostertag gpsdrive at ostertag.name
Wed Sep 26 06:32:25 AKDT 2007


Am Mittwoch, 26. September 2007 13:41:41 schrieb Andreas Putzo:
> Hi,
>
> Am 26.9.2007 schrieb "Florian Schmitt"
>
> <ml-gpsdrive at florian-schmitt.net>:
> >> If this is not possible or does not help, what does
> >> ldd /usr/local/bin/gpsdrive
> >> tell?
> >
> >It tells:
> >
> >--------------
> >florian at migdal:~$ ldd /usr/bin/gpsdrive
> >/usr/bin/gpsdrive: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not
> >found (required by /usr/bin/gpsdrive)
>
> i tested this with a fresh etch install and can reproduce the problem. If
> you check with objdump -T
> /usr/lib/libstdc++.so.6 (from binutils) you can see that it does not
> contain a GLIBCXX_3.4.9 symbol, only GLIBCXX_3.4.8.
> I would guess that something went wrong  at build time or that the
> package has not been build in a clean etch environment or so.
> As Joerg already suggested, the best thing to do is rebuilding the
> package :)

Well, if it's a build problem; I'll have to check my build machine here. Can 
you give me a hint which packages to check for being installed and which ones 
shouldn't be installed.

-
Joerg




More information about the GPSdrive mailing list